#!/bin/sh
#
ME=$(readlink -f "$0")
MEDIR=${ME%/*}

EXT=net-snmp

. $MEDIR/phase-default-init.sh

DEPS="libtool-dev cmake readline-dev openssl-dev pcre-dev liblzma-dev
 perl5 libxml2-python glib2-python python-dev python-setuptools
 libpcap-dev libpci-dev ncurses-terminfo"

test "$KBITS" = "64" && DEPS="$DEPS mariadb-10.1-dev" || DEPS="$DEPS mariadb-dev"

. $MEDIR/phase-default-deps.sh

sudo sh -c 'cd /usr/local/include; ln -sf ncursesw ncurses'

. $MEDIR/phase-default-cc-opts.sh

echo $PATH | grep -q mysql || export PATH=$PATH:/usr/local/mysql/bin

#make clean
./configure \
	--prefix=/usr/local \
	--localstatedir=/var \
	--disable-embedded-perl \
	--with-mysql \
	--with-perl-modules \
	--with-python-modules \
	--with-openssl=/usr/local \
	--with-defaults \
	--without-rpm \
	--without-kmem-usage \
	--with-install-prefix=$TCZ \
	|| exit

sed -i -e "/PYMAKE) install/s#basedir#root=$TCZ --basedir#" Makefile

# configure option --without-kmem-usage is broken
sed -i -e '/define HAVE_KMEM/s%#define HAVE_KMEM "/dev/kmem"%/* #undef HAVE_KMEM */%' include/net-snmp/net-snmp-config.h

. $MEDIR/phase-default-make.sh
. $MEDIR/phase-default-make-install.sh

chmod -R ug+w $TCZ

mkdir -p $TCZ-dev/usr/local/bin
mkdir -p $TCZ-dev/usr/local/lib
mkdir -p $TCZ-dev/usr/local/share

mv $TCZ/usr/local/include $TCZ-dev/usr/local
mv $TCZ/usr/local/lib/*.a $TCZ-dev/usr/local/lib
mv $TCZ/usr/local/lib/*.la $TCZ-dev/usr/local/lib
mv $TCZ/usr/local/share/man $TCZ-dev/usr/local/share
mv $TCZ/usr/local/bin/net-snmp-config $TCZ-dev/usr/local/bin/net-snmp-config

. $MEDIR/phase-default-strip.sh
. $MEDIR/phase-default-set-perms.sh
. $MEDIR/phase-default-squash-tcz.sh

